1. Gallery
Tanggle!
  • Puzzles
    • Rooms
      • Create puzzle room
    • Gallery
      • Retrieve a list of gallery images
        GET
      • Retrieve a gallery image
        GET
  • Communities
    • Custom integration for communities
    • Members
      • Invites & Join Requests
        • [Community] Retrieve a list of community join requests or invites
        • [Community] Invite user to the community OR accept join request
        • [Community] Delete user community invite OR ignore join request
      • Retrieve community members
      • Update community member
      • Delete community member
    • Bans
      • Retrieve a list of community bans
      • Retrieve community ban
      • Ban user from a community
      • Unban user from a community
      • Delete all community bans
      • Remove IP associations from all community bans
    • Queue
      • List queue items
      • Edit queue settings
      • Edit queue item
      • Remove item from the queue
      • Begin puzzle from the queue
      • Move queue item
      • Approve queue item
      • Disapprove queue item
    • Rooms
      • Retrieve a list of community rooms
      • Retrieve community room
      • Archive a community room
    • Images
      • Retrieve community images
      • Delete community image
    • Retrieve community
      GET
  • Schemas
    • common
      • ValueSlug
      • ValueAvatar
      • ValueURL
      • ValueLink
      • ValueAvatar
      • GenericPagination
      • ValueUsername
      • ValueEmail
      • ValueLogin
      • ValueTrue
      • ValueFalse
      • ValuePassword
      • ValueCosmetics
      • ValueConnectionPreview
      • ValueLocalizedString
      • ValueColor
    • enums
      • AnyTier
      • AnyLevel
      • AnyNetwork
      • AnyLocale
      • AnyCommunityRole
      • AnyCommunityIntegration
      • AnyLicense
      • AnyTurnstile
      • AnyCosmetic
      • AnyRoomJoinError
      • AnyRarity
    • enitites
      • community
        • websocket
          • CWS_QueueItemAppend
          • CWS_QueueItemUpdate
          • CWS_QueueItemApprove
          • CWS_QueueItemDelete
          • CWS_QueuePositionsUpdate
          • CWS_RoomCreated
          • CWS_RoomCompleted
        • Community
        • CommunityMessage
        • CommunityMessages
        • BaseCommunityIntegration
        • CommunityBan
        • CommunityMember
        • CommunityMemberConnection
        • CommunityIntegrations
        • CommunityQueue
        • CommunityQueueItem
        • CommunityPermission
        • CommunityPermissions
        • CommunityMembership
        • CommunityMessageUpdateBase
      • puzzles
        • payload
          • _PayloadBase
          • _PayloadPrivateBase
          • _Component
          • _ComponentMaybeTeam
          • PayloadPublic
          • PayloadPrivate
          • PayloadCommunity
          • PayloadQueueMember
          • PayloadQueueModerator
          • PayloadQueueEdit
          • AnyPayload
        • PuzzleImage
        • PuzzleImageCrop
        • PuzzleSource
        • PuzzleCreator
        • PuzzleComponent
        • PuzzleRoom
        • PuzzleParticipant
        • PuzzleCreatorConsole
      • user
        • User
        • UserBlock
        • UserFriendship
        • UserFriendshipRequest
        • ActiveUserSession
      • category
        • SharedCategoryTag
        • SharedCategoryTree
        • CategoryTag
        • CategoryTree
        • InternalCategoryTag
        • InternalCategoryTree
      • account
        • Account
        • AccountConnection
        • AccountRoles
        • AnyStaffLevel
      • cosmetics
        • cursor
          • Cursor
          • CursorFrame
        • CosmeticName
        • BaseCosmetic
      • subscription
        • Subscription
        • SubscriptionGift
      • Session
      • Invitation
    • TEST
  1. Gallery

Retrieve a list of gallery images

Developing
GET
/puzzles/gallery

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/puzzles/gallery?page=undefined&sort=undefined&tag=undefined'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "itemsCount": 0,
    "page": 0,
    "pageCount": 0,
    "orderBy": "string",
    "items": [
        {
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "slug": "string",
            "sources": {
                "preview": [
                    {
                        "width": 0,
                        "url": "http://example.com"
                    }
                ],
                "puzzles": [
                    {
                        "name": "string",
                        "url": "http://example.com",
                        "width": 0,
                        "height": 0,
                        "weight": 0
                    }
                ],
                "opengraph": "http://example.com",
                "blurhash": "CGF5?xYk^6#M@-5c,1J5",
                "static": "http://example.com"
            },
            "originalWidth": 0,
            "originalHeight": 0,
            "statistics": {
                "completed": {
                    "count": 0,
                    "rate": 0,
                    "averagePieces": 0
                },
                "abandoned": {
                    "count": 0,
                    "rate": 0,
                    "averagePieces": 0
                }
            },
            "attribution": {
                "creator": {
                    "name": "string",
                    "support": "https://tanggle.io",
                    "slug": "funny-dog",
                    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                    "urls": [
                        {
                            "url": "https://tanggle.io",
                            "name": "Discord"
                        }
                    ],
                    "about": "string",
                    "avatar": null,
                    "license": {
                        "type": "creative_commons",
                        "value": "CC0"
                    }
                },
                "source": {
                    "url": "http://example.com",
                    "platform": {
                        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                        "name": "string",
                        "license": {
                            "type": "creative_commons",
                            "value": "CC0"
                        },
                        "ref": "string",
                        "url": "https://tanggle.io"
                    },
                    "ref": "string"
                },
                "license": {
                    "type": "creative_commons",
                    "value": "CC0"
                },
                "title": "string",
                "author": {
                    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
                    "slug": "funny-dog",
                    "username": "FunnyKitten",
                    "legacyAvatar": "https://tanggle.io",
                    "tier": "GUEST",
                    "cursor": 0,
                    "objectType": "user",
                    "isSuperuser": true
                }
            },
            "animation": {
                "fps": 0,
                "frames": 0,
                "duration": 0
            },
            "title": "string",
            "tags": {
                "list": [
                    "string"
                ],
                "main": "string"
            },
            "isPublic": true
        }
    ]
}
Modified at 2025-06-15 08:35:40
Previous
Create puzzle room
Next
Retrieve a gallery image
Built with